package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiHazIdenMw;

/**
 * 辨识表MW版 服务层
 */
public interface ITBusiHazIdenMwService {

    /**
     * 查询辨识表MW版信息
     * @param guid 查询条件
     * @return 辨识表MW版信息
     */
    TBusiHazIdenMw selectTBusiHazIdenMwByGuid(String guid);

    /**
     * 查询辨识表MW版列表
     * @param tBusiHazIdenMw 辨识表MW版查询条件
     * @return 辨识表MW版集合
     */
    List<TBusiHazIdenMw> selectTBusiHazIdenMwList(TBusiHazIdenMw tBusiHazIdenMw);

    /**
     * 新增辨识表MW版
     * @param tBusiHazIdenMw 辨识表MW版信息
     * @return 影响行数
     */
    int insertTBusiHazIdenMw(TBusiHazIdenMw tBusiHazIdenMw);

    /**
     * 修改辨识表MW版
     * @param tBusiHazIdenMw 辨识表MW版信息
     * @return 影响行数
     */
    int updateTBusiHazIdenMw(TBusiHazIdenMw tBusiHazIdenMw);

    /**
     * 删除辨识表MW版
     * @param guid 辨识表MW版主键
     * @return 影响行数
     */
    int deleteTBusiHazIdenMwByGuid(String guid);

    /**
     * 批量删除辨识表MW版
     * @param guids 辨识表MW版主键数组
     * @return 影响行数
     */
    int deleteTBusiHazIdenMwByGuids(String[] guids);
}
